-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local ExceptionInfoInterface = require 'mdb.bmc.kepler.Systems.ExceptionInfoInterface'
local DebugInterface = require 'mdb.bmc.kepler.Systems.ExceptionInfo.DebugInterface'

local childs = {}
local FDMDomain = {childs = childs}

local Mdb = require 'mc.mdb'

local TFDMDomain = Mdb.register_object('/bmc/kepler/Systems/:SystemId/FDMDomain/:Id', {
    {name = 'ExceptionInfo', interface = ExceptionInfoInterface.ExceptionInfo},
    {name = 'Debug', interface = DebugInterface.Debug}
})
FDMDomain.FDMDomain = TFDMDomain

function TFDMDomain:ctor(SystemId, Id)
    self.path = '/bmc/kepler/Systems/' .. SystemId .. '/FDMDomain/' .. Id .. ''
end

return FDMDomain
